# Type alias FormBuilderFn<T, Data>

FormBuilderFn<T, Data>: ((state, options) => T | RxapFormControl)

#### Type Parameters

- T extends FormDefinition<Data> | FormType<Data> = FormDefinition
- Data = Record<string, any>

#### Type declaration

- - (state, options): T | RxapFormControl

  - #### Parameters

    - state: any
    - options: {
      controlId: string;
      }

      - ##### controlId: string

    #### Returns T | RxapFormControl

- Defined in packages/angular/forms/src/lib/model.ts:121